githubEdit

Deactivate a DID

Deactivate a did:cheqd Decentralized Identifier (DID) using the ACA-Py Agent.

Follow these instructions to deactivate a did:cheqd DID from ACA-Py Agent.

⚠️ Important...

Your wallet must have the key(s) which were generated when the DID was created, without them signing will fail.

Deactivate DID

To deactivate an active DID, pass the didid in the request body, with any additional optionsthat you may have configured.

Deactivate a did:cheqd

post
Body
didstringRequired

DID to deactivate

Example: did:cheqd:testnet:099be283-4302-40cc-9850-22016bcd1d86Pattern: ^(did:cheqd:(testnet|mainnet):(?:(?:[a-zA-Z0-9]{21,22}|([a-z,0-9,-]{36,36}))*:)*((?:[a-zA-Z0-9]{21,22}|([a-z,0-9,-]{36,36}))+)((;[a-zA-Z0-9_.:%-]+=[a-zA-Z0-9_.:%-]*)*)([?][^#]*)?|did:cheqd:(testnet|mainnet):(?:(?:[a-zA-Z0-9]{21,22}|([a-z,0-9,-]{36,36}))*:)*((?:[a-zA-Z0-9]{21,22}|([a-z,0-9,-]{36,36}))+)/resources/([a-z,0-9,-]{36,36})([?][^#]*)?)$
optionsobjectOptional

Additional configuration options

Example: {"network":"testnet"}
Responses
chevron-right
200Success
application/json
didstringOptional

DID that has been deactivted

Example: did:cheqd:testnet:099be283-4302-40cc-9850-22016bcd1d86Pattern: ^(did:cheqd:(testnet|mainnet):(?:(?:[a-zA-Z0-9]{21,22}|([a-z,0-9,-]{36,36}))*:)*((?:[a-zA-Z0-9]{21,22}|([a-z,0-9,-]{36,36}))+)((;[a-zA-Z0-9_.:%-]+=[a-zA-Z0-9_.:%-]*)*)([?][^#]*)?|did:cheqd:(testnet|mainnet):(?:(?:[a-zA-Z0-9]{21,22}|([a-z,0-9,-]{36,36}))*:)*((?:[a-zA-Z0-9]{21,22}|([a-z,0-9,-]{36,36}))+)/resources/([a-z,0-9,-]{36,36})([?][^#]*)?)$
didStatestringRequired

State of the did update

Example: {"did":"did:cheqd:testnet:099be283-4302-40cc-9850-22016bcd1d86","didDocument":{"authentication":["did:cheqd:testnet:099be283-4302-40cc-9850-22016bcd1d86#key-1"],"controller":["did:cheqd:testnet:099be283-4302-40cc-9850-22016bcd1d86"],"id":"did:cheqd:testnet:099be283-4302-40cc-9850-22016bcd1d86","verificationMethod":[{"id":"did:cheqd:testnet:099be283-4302-40cc-9850-22016bcd1d86#key-1","type":"Ed25519VerificationKey2020","controller":"did:cheqd:testnet:099be283-4302-40cc-9850-22016bcd1d86","publicKeyMultibase":"z6Mk..."}]},"secret":{"signingResponse":[{"kid":"did:cheqd:testnet:099be283-4302-40cc-9850-22016bcd1d86#key-1","signature":"SHFz..."}]},"state":"finished"}
successbooleanOptional

Flag to denote if the operation was successful

Example: true
post
/did/cheqd/deactivate
200Success

Last updated

Was this helpful?